#ifndef MASTER_H
#define MASTER_H

#define MAX_SLAVES 500
#define MAX_SIZE 300
#define MAX_PATH_SIZE 100
#define MAX_OUTPUT_SIZE (200 + MAX_PATH_SIZE)
#define OUTPUT_NAME "outputFile.txt"

void createPipesAndSlaves(int pipesOutput[][2], int pipesInput[][2]);
int writeOutput(char * output, FILE * outputFile, char * shmPointers, int cacaDeEzequiel);
void closePipes(int pipesInput[][2], int pipesOutput[][2], int slave, fd_set * set);
char sendTask(char * fileName, int pipesInput[][2], int slave);
void changeViewFlag();

#endif