#ifndef SHR_MEM
#define SHR_MEM

#define SHM_NAME "/BottlerSHM"
#define SEM_NAME "/EmptySEM"

int createShm(int totalSize);
void mapShm(char ** shmPointer, int totalSize, int fd);
void writeShm(char * address, char * str, int len);
int readShm(char * address, char * str, int len);
void terminateShm(const char * name, int fd, char * shmPointer, int totalSize);
void openSem();
void closeSem();
int openCreatedShm(char ** shmPointer, int totalSize);
void closeCreatedShm(char * shmPointer, int totalSize, int fd);

#endif
